package com.muyu.etl.rule.basic.abstracts;

import com.muyu.etl.domain.DataStructure;
import com.muyu.etl.rule.basic.BasicEngine;
import com.muyu.etl.rule.basic.handler.EngineRowHandler;
import com.muyu.etl.rule.basic.handler.EngineRowsHandler;

/**
 * @Author WangXin
 * @Data 2024/8/29
 * @Description 数据组处理对象
 * @Version 1.0.0
 */
public abstract class DataEngineRowsActuator implements BasicEngine<DataStructure[][]> {
    @Override
    public void set(DataStructure[][] values) {
        EngineRowsHandler.set(values);
    }

    @Override
    public DataStructure[][] get() {
        return EngineRowsHandler.get();
    }

    @Override
    public void execution() {
        this.run();
    }

    public abstract void run();
}
