package com.muyu.etl.rule.basic.abstracts;

import com.muyu.etl.domain.DataStructure;
import com.muyu.etl.rule.basic.BasicEngine;
import com.muyu.etl.rule.basic.handler.BasicEngineHandler;
import com.muyu.etl.rule.basic.handler.EngineValueHandler;

/**
 * @Author WangXin
 * @Data 2024/8/29
 * @Description 数据值处理对象
 * @Version 1.0.0
 */
public abstract class DataEngineValueActuator implements BasicEngine<DataStructure> {


    @Override
    public void set(DataStructure dataStructure) {
        EngineValueHandler.set(dataStructure);
    }

    @Override
    public DataStructure get() {
        return EngineValueHandler.get();
    }


    @Override
    public void execution() {
        this.run();
    }

    public abstract void run();
}
