package com.muyu.etl.rule.domain.req;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.util.List;

/**
 * @Author WangXin
 * @Data 2024/9/2
 * @Description 数据测试请求参数
 * @Version 1.0.0
 */
@Data
@SuperBuilder
@AllArgsConstructor
@NoArgsConstructor
public class DataTestReq {

    private Long basicId;

    private String tableName;

    private String columnName;

    private List<DataSqlField> rows;
}
