package com.muyu.etl.rule;

import com.muyu.etl.domain.DataStructure;
import com.muyu.etl.rule.basic.abstracts.DataEngineRowsActuator;
import com.muyu.etl.rule.operation.ArrayUtil;

import java.util.Arrays;
import java.util.List;

/**
 * @Author WangXin
 * @Data Mon Sep 09 2024 01:04:05 GMT+0800 (中国标准时间)
 * @Description null
 * @Version 1.0.0
 */
public class ENGINE_NOT_NULL_NAME_V1 extends DataEngineRowsActuator {


    @Override
    public void run() {
        DataStructure[][] dataStructuresList = get();

        ArrayUtil<DataStructure[]> arrayUtil = new ArrayUtil<>(dataStructuresList);
        while (arrayUtil.hasNext()){
            DataStructure[] dataStructures = arrayUtil.next();
            List<DataStructure> dataStructureList = Arrays.stream(dataStructures).filter(dataStructure -> dataStructure.getKey().equals("name") && dataStructure.getValue() == null).toList();
            if (dataStructureList.size() > 0){
                arrayUtil.remove();
            }
        }
        set(arrayUtil.getCurrentArray());
    }
}
