package com.muyu.etl.rule;

import com.muyu.common.security.annotation.EnableCustomConfig;
import com.muyu.common.security.annotation.EnableMyFeignClients;
import groovy.util.logging.Log4j2;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;

@Log4j2
@EnableCustomConfig
@EnableMyFeignClients
@SpringBootApplication
public class EtlRuleEngineApplication {
    public static void main(String[] args) {
        SpringApplication.run(EtlRuleEngineApplication.class, args);
        System.out.println("ETL规则引擎启动成功!");
    }
}
