package com.muyu.etl.rule.basic;

import com.muyu.etl.rule.basic.handler.BasicEngineHandler;

/**
 * @Author WangXin
 * @Data 2024/8/29
 * @Description 规则引擎基准
 * @Version 1.0.0
 */
public interface BasicEngine<V> {

    public void set(V value);

    public V get();

    public default void remove() {
        BasicEngineHandler.remove();
    }

    public void execution();
}
