package com.muyu.etl.rule.basic.abstracts;

import com.muyu.etl.domain.DataStructure;
import com.muyu.etl.rule.basic.BasicEngine;
import com.muyu.etl.rule.basic.handler.EngineRowHandler;

/**
 * @Author WangXin
 * @Data 2024/8/29
 * @Description 数据行处理对象
 * @Version 1.0.0
 */
public abstract class DataEngineRowActuator implements BasicEngine<DataStructure[]> {

    @Override
    public void set(DataStructure[] values) {
        EngineRowHandler.set(values);
    }

    @Override
    public DataStructure[] get() {
        return EngineRowHandler.get();
    }

    @Override
    public void execution() {
        this.run();
    }

    public abstract void run();
}
