package com.muyu.etl.rule.basic.handler;

/**
 * @Author WangXin
 * @Data 2024/8/29
 * @Description 规则引擎作用域
 * @Version 1.0.0
 */
public class BasicEngineHandler {

    private static final ThreadLocal<Object> threadLocal = new ThreadLocal<>();

    public static void set(final Object handler) {
        threadLocal.set(handler);
    }

    public static <T> T get() {
        return (T) threadLocal.get();
    }

    public static void remove() {

    }
}
