package com.muyu.etl.rule.basic.handler;

import com.muyu.common.core.text.Convert;
import com.muyu.etl.domain.DataStructure;

import java.math.BigDecimal;

/**
 * @Author WangXin
 * @Data 2024/8/29
 * @Description 行数据引擎作用域
 * @Version 1.0.0
 */
public class EngineRowHandler {

    private static final ThreadLocal<DataStructure[]> threadLocal = new ThreadLocal<>();

    public static void set(DataStructure[] dataStructureRow){
        threadLocal.set(dataStructureRow);
    }

    public static DataStructure[] get(){
        return threadLocal.get();
    }


}
