package com.muyu.etl.rule.basic.handler;


import com.muyu.etl.domain.DataStructure;

/**
 * @Author WangXin
 * @Data 2024/8/29
 * @Description 数据组处理
 * @Version 1.0.0
 */
public class EngineRowsHandler {

    private static final ThreadLocal<DataStructure[][]> threadLocal = new ThreadLocal<>();

    public static void set(DataStructure[][] dataStructureRows){
        threadLocal.set(dataStructureRows);
    }

    public static DataStructure[][] get(){
        return threadLocal.get();
    }
}
